#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	Development framework for C (like GLib)
Summary(pl.UTF-8):	Szkielet programistyczny dla C (podobny do GLiba)
Name:		libmowgli2
Version:	2.0.0
Release:	1
License:	MIT
Group:		Libraries
Source0:	https://github.com/atheme/libmowgli-2/archive/libmowgli-%{version}.tar.gz
# Source0-md5:	0b8cf8b66d745d40f186e3cbd22fdc0e
URL:		https://github.com/atheme/libmowgli-2/
BuildRequires:	openssl-devel
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mowgli is a development framework for C (like GLib), which provides
high performance and highly flexible algorithms. It can be used as a
suppliment to GLib (to add additional functions (dictionaries,
hashes), or replace some of the slow GLib functions (like list
manipulation), or stand alone. It also provides a powerful hook system
and convenient logging for your code, as well as a high performance
block allocator.

%description -l pl.UTF-8
mowgli to szkielet programistyczny dla C (podobny do GLiba)
udostępniający wysoko wydajne i elastyczne algorytmy. Może być używany
jako suplement do GLiba (dodający nowe funkcje, takie jak słowniki czy
hasze) albo do zastąpienia niektórych wolnych funkcji GLiba (jak
operacje na listach), albo samodzielnie. Udostępnia także potężny
system uchwytów i wygodnego logowania, a także wysoko wydajny alokator
bloków.

%package devel
Summary:	Header files for libmowgli
Summary(pl.UTF-8):	Pliki nagłówkowe libmowgli
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libmowgli.

%description devel -l pl.UTF-8
Pliki nagłówkowe libmowgli.

%package static
Summary:	Static libmowgli library
Summary(pl.UTF-8):	Biblioteka statyczna libmowgli
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libmowgli library.

%description static -l pl.UTF-8
Biblioteka statyczna libmowgli.

%prep
%setup -q -n libmowgli-2-libmowgli-%{version}

%{__sed} -i -e '/^\.SILENT/d' buildsys.mk.in

%build
%configure \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING README
%attr(755,root,root) %{_libdir}/libmowgli-2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmowgli-2.so.0

%files devel
%defattr(644,root,root,755)
%doc doc/{BOOST,design-concepts.txt}
%attr(755,root,root) %{_libdir}/libmowgli-2.so
%{_includedir}/libmowgli-2
%{_pkgconfigdir}/libmowgli-2.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libmowgli-2.a
%endif
%changelog
* Fri Oct 23 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmowgli2.git;a=log;h=master

* Fri Oct 23 2015 Jakub Bogusz <qboosh@pld-linux.org> 5b9b4ef
- new, based on libmowgli.spec

* Fri Oct 23 2015 Jakub Bogusz <qboosh@pld-linux.org> d619ebe
- updated URL, noted URL to code repo (no release URL available now)

* Mon Mar 02 2015 Elan Ruusamäe <glen@delfi.ee> 09006a2
- x32 rebuild
- release 2 (by relup.sh)

* Mon Jun 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 3dd4100
- do track soname

* Mon Jun 25 2012 Łukasz Kieś <kiesiu@pld-linux.org> 0f2e464
- updated to 1.0.0

* Wed May 04 2011 lisu <lisu@pld-linux.org> 298243c
- updated to 0.9.50
- adapter

* Sat Feb 27 2010 sparky <sparky@pld-linux.org> 96ec4af
- unify %attr() %ghost order

* Sat Jul 26 2008 arvenil <arvenil@pld-linux.org> 4ee043a
- up to 0.7.0

* Sat Feb 02 2008 arvenil <arvenil@pld-linux.org> a6b50da
- up to 0.6.1

* Sat Dec 29 2007 arvenil <arvenil@pld-linux.org> 95f44c1
- up to 0.6.0
- ghost back

* Fri Nov 09 2007 arvenil <arvenil@pld-linux.org> 29ae30d
- no more ghost
- release 2

* Wed Nov 07 2007 arvenil <arvenil@pld-linux.org> e5b6607
- up to 0.5.0
- new URL

* Sun Sep 09 2007 arvenil <arvenil@pld-linux.org> 471e8e6
- up to 0.4.0
- changed source URL

* Sat Aug 04 2007 Jakub Bogusz <qboosh@pld-linux.org> 68d4f34
- pl

* Fri Jul 27 2007 arvenil <arvenil@pld-linux.org> bfc04ec
- release 1

* Mon Jul 23 2007 arvenil <arvenil@pld-linux.org> 2bd565a
- up to 0.3.0

* Sat Jul 21 2007 arvenil <arvenil@pld-linux.org> 229ecbe
- init

